@props([
  'title',
])

<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="csrf-token" content="{{ csrf_token() }}" />

    <title>
      {{ config('app.name', 'Laravel') }} @isset($title)
       - {{ $title }} @endisset
    </title>

    <!-- Scripts -->
    @vite(['resources/css/app.css', 'resources/js/app.js'])

    <!-- polyfills -->
    <script src="//polyfill.io/v3/polyfill.min.js?flags=gated&features=default,es5,es6,es7,matchMedia,IntersectionObserver,ResizeObserver,NodeList.prototype.forEach,HTMLTemplateElement,Element.prototype.closest,requestAnimationFrame,CustomEvent,URLSearchParams,queueMicrotask"></script>
  </head>

  <body class="flex gap-6">
    <main class="min-w-[600px]">
      {{ $slot }}
    </main>

    @if (session('status'))
      <x-window class="h-fit" title="Notification" dismissible>
        {{ session('status') }}
      </x-window>
    @endif

    <x-layout.navigation />
  </body>
</html>
