<p>Ensure your account is using a long, random password to stay secure.</p>

<form method="post" action="{{ route('password.update') }}">
  @csrf
  @method('put')

  <div class="field-row">
    <label for="update_password_current_password">Current Password</label>
    <input
      id="update_password_current_password"
      name="current_password"
      type="password"
      autocomplete="current-password"
    />
    <x-input-error
      :messages="$errors->updatePassword->get('current_password')"
    />
  </div>

  <div class="field-row">
    <label for="update_password_password">New Password</label>
    <input
      id="update_password_password"
      name="password"
      type="password"
      autocomplete="new-password"
    />
    <x-input-error :messages="$errors->updatePassword->get('password')" />
  </div>

  <div class="field-row">
    <label for="update_password_password_confirmation">Confirm Password</label>
    <input
      id="update_password_password_confirmation"
      name="password_confirmation"
      type="password"
      autocomplete="new-password"
    />
    <x-input-error
      :messages="$errors->updatePassword->get('password_confirmation')"
    />
  </div>

  <div>
    <button type="submit">{{ __('Save') }}</button>

    @if (session('status') === 'password-updated')
      <p>Saved.</p>
    @endif
  </div>
</form>
